Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfSpotColor

    java.lang.Object
      com.lowagie.text.pdf.PdfSpotColor

    public class PdfSpotColor

extends Object

A `PdfSpotColor` defines a ColorSpace

See Also:
  `PdfDictionary`

Field Summary
`Color` | `altcs` The alternative color space
`PdfName` | `name` The color name

Constructor Summary
`PdfSpotColor(String name, Color altcs)` Constructs a new `PdfSpotColor`.

Method Summary
`Color` | `getAlternativeCS()` Gets the alternative ColorSpace.
`protected PdfObject` | `getSpotObject(PdfWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public PdfName name

  The color name

### altcs

    public Color altcs

  The alternative color space

Constructor Detail

### PdfSpotColor

    public PdfSpotColor(String name,
                        Color altcs)

  Constructs a new `PdfSpotColor`.

  Parameters:
    `name` - a String value
    `altcs` - an alternative colorspace value

Method Detail

### getAlternativeCS

    public Color getAlternativeCS()

  Gets the alternative ColorSpace.

  Returns:
    a Color

### getSpotObject

    protected PdfObject getSpotObject(PdfWriter writer)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD